com.tibbo.aggregate.common.device.sync

## Class SettingSynchronizationOptions

- java.lang.Object
- - com.tibbo.aggregate.common.device.sync.SettingSynchronizationOptions

- All Implemented Interfaces:
    java.lang.Cloneable

      public class SettingSynchronizationOptions
      extends java.lang.Object
      implements java.lang.Cloneable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SettingSynchronizationOptions()`
    `SettingSynchronizationOptions(java.lang.Long syncPeriod)`
    `SettingSynchronizationOptions(java.lang.Long updateHistoryStorageTime, java.lang.Long syncPeriod)`
    `SettingSynchronizationOptions(java.lang.Long updateHistoryStorageTime, java.lang.Long syncPeriod, int historyRate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `allowsChangesOnly()`
    `boolean` | `allowsErroneousValues()`
    `boolean` | `allowsOfflineValues()`
    `SettingSynchronizationOptions` | `clone()`
    `int` | `getChangeEventTimestamp()`
    `java.lang.String` | `getCondition()`
    `Expression` | `getConditionExpression()`
    `boolean` | `getDeliverUpdates()`
    `java.lang.String` | `getFilter()`
    `Expression` | `getFilterExpression()`
    `int` | `getHistoryRate()`
    `java.lang.String` | `getMaster()`
    `int` | `getMode()`
    `SynchronizationHandler` | `getSynchronizationHandler()`
    `int` | `getSynchronizationsCounter()`
    `java.lang.Long` | `getSyncPeriod()`
    `java.lang.Long` | `getUpdateHistoryStorageTime()`
    `boolean` | `hasCustomStatus()`
    `void` | `incrementSynchronizationsCounter()`
    `boolean` | `isAddPreviousValueToVariableUpdateEvent()`
    `boolean` | `isEnabled()`
    `void` | `setAddPreviousValueToVariableUpdateEvent(boolean addPreviousValueToVariableUpdateEvent)`
    `void` | `setChangeEventTimestamp(int changeEventTimestamp)`
    `void` | `setCondition(java.lang.String condition)`
    `void` | `setDeliverUpdates(boolean deliverUpdates)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setFilter(java.lang.String filter)`
    `void` | `setHistoryRate(int historyRate)`
    `void` | `setMaster(java.lang.String master)`
    `void` | `setMode(int mode)`
    `void` | `setSynchronizationHandler(SynchronizationHandler synchronizationHandler)`
    `void` | `setSyncPeriod(java.lang.Long syncPeriod)`
    `void` | `setUpdateHistoryStorageTime(java.lang.Long updateHistoryStorageTime)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SettingSynchronizationOptions

          public SettingSynchronizationOptions()

    - #### SettingSynchronizationOptions

          public SettingSynchronizationOptions(java.lang.Long syncPeriod)

    - #### SettingSynchronizationOptions

          public SettingSynchronizationOptions(java.lang.Long updateHistoryStorageTime,
                                               java.lang.Long syncPeriod)

    - #### SettingSynchronizationOptions

          public SettingSynchronizationOptions(java.lang.Long updateHistoryStorageTime,
                                               java.lang.Long syncPeriod,
                                               int historyRate)

  - ### Method Detail

    - #### getMode

          public int getMode()

    - #### setMode

          public void setMode(int mode)

    - #### isAddPreviousValueToVariableUpdateEvent

          public boolean isAddPreviousValueToVariableUpdateEvent()

    - #### setAddPreviousValueToVariableUpdateEvent

          public void setAddPreviousValueToVariableUpdateEvent(boolean addPreviousValueToVariableUpdateEvent)

    - #### getSyncPeriod

          public java.lang.Long getSyncPeriod()

    - #### setSyncPeriod

          public void setSyncPeriod(java.lang.Long syncPeriod)

    - #### getMaster

          public java.lang.String getMaster()

    - #### setMaster

          public void setMaster(java.lang.String master)

    - #### getUpdateHistoryStorageTime

          public java.lang.Long getUpdateHistoryStorageTime()

    - #### setUpdateHistoryStorageTime

          public void setUpdateHistoryStorageTime(java.lang.Long updateHistoryStorageTime)

    - #### getHistoryRate

          public int getHistoryRate()

    - #### setHistoryRate

          public void setHistoryRate(int historyRate)

    - #### getChangeEventTimestamp

          public int getChangeEventTimestamp()

    - #### setChangeEventTimestamp

          public void setChangeEventTimestamp(int changeEventTimestamp)

    - #### getFilter

          public java.lang.String getFilter()

    - #### getFilterExpression

          public Expression getFilterExpression()

    - #### setFilter

          public void setFilter(java.lang.String filter)

    - #### getCondition

          public java.lang.String getCondition()

    - #### getConditionExpression

          public Expression getConditionExpression()

    - #### setCondition

          public void setCondition(java.lang.String condition)

    - #### getSynchronizationHandler

          public SynchronizationHandler getSynchronizationHandler()

    - #### setSynchronizationHandler

          public void setSynchronizationHandler(SynchronizationHandler synchronizationHandler)

    - #### getSynchronizationsCounter

          public int getSynchronizationsCounter()

    - #### incrementSynchronizationsCounter

          public void incrementSynchronizationsCounter()

    - #### getDeliverUpdates

          public boolean getDeliverUpdates()

    - #### setDeliverUpdates

          public void setDeliverUpdates(boolean deliverUpdates)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### clone

          public SettingSynchronizationOptions clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### allowsChangesOnly

          public boolean allowsChangesOnly()

    - #### allowsErroneousValues

          public boolean allowsErroneousValues()

    - #### allowsOfflineValues

          public boolean allowsOfflineValues()

    - #### hasCustomStatus

          public boolean hasCustomStatus()